[Unit]
Description=WPA supplicant
Before=network.target
Wants=network.target
After=dbus.service

[Service]
Type=dbus
BusName=fi.w1.wpa_supplicant1
EnvironmentFile=-/etc/sysconfig/wpa_supplicant
ExecStart=/usr/sbin/wpa_supplicant -u -O /var/run/wpa_supplicant $INTERFACES $DRIVERS $OTHER_ARGS

[Install]
WantedBy=multi-user.target

